Reset an order's proxy password
CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");curl_easy_setopt(hnd, CURLOPT_URL, "https://api.proxyrequest.com/api/v1/reset-password");
struct curl_slist *headers = NULL;headers = curl_slist_append(headers, "Accept-Language: de");headers = curl_slist_append(headers, "Content-Type: application/json");curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{ \"order_id\": \"550e8400-e29b-41d4-a716-446655440003\" }");
CURLcode ret = curl_easy_perform(hnd);using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.proxyrequest.com/api/v1/reset-password"), Headers = { { "Accept-Language", "de" }, }, Content = new StringContent("{ \"order_id\": \"550e8400-e29b-41d4-a716-446655440003\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.proxyrequest.com/api/v1/reset-password"
payload := strings.NewReader("{ \"order_id\": \"550e8400-e29b-41d4-a716-446655440003\" }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Accept-Language", "de") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api.proxyrequest.com/api/v1/reset-password")) .header("Accept-Language", "de") .header("Content-Type", "application/json") .method("POST", HttpRequest.BodyPublishers.ofString("{ \"order_id\": \"550e8400-e29b-41d4-a716-446655440003\" }")) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"order_id\": \"550e8400-e29b-41d4-a716-446655440003\" }");Request request = new Request.Builder() .url("https://api.proxyrequest.com/api/v1/reset-password") .post(body) .addHeader("Accept-Language", "de") .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'POST', url: 'https://api.proxyrequest.com/api/v1/reset-password', headers: {'Accept-Language': 'de', 'Content-Type': 'application/json'}, data: {order_id: '550e8400-e29b-41d4-a716-446655440003'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.proxyrequest.com/api/v1/reset-password';const options = { method: 'POST', headers: {'Accept-Language': 'de', 'Content-Type': 'application/json'}, body: '{"order_id":"550e8400-e29b-41d4-a716-446655440003"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")val body = RequestBody.create(mediaType, "{ \"order_id\": \"550e8400-e29b-41d4-a716-446655440003\" }")val request = Request.Builder() .url("https://api.proxyrequest.com/api/v1/reset-password") .post(body) .addHeader("Accept-Language", "de") .addHeader("Content-Type", "application/json") .build()
val response = client.newCall(request).execute()use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.proxyrequest.com/api/v1/reset-password";
let payload = json!({"order_id": "550e8400-e29b-41d4-a716-446655440003"});
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Accept-Language", "de".parse().unwrap()); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://api.proxyrequest.com/api/v1/reset-password \ --header 'Accept-Language: de' \ --header 'Content-Type: application/json' \ --data '{ "order_id": "550e8400-e29b-41d4-a716-446655440003" }'wget --quiet \ --method POST \ --header 'Accept-Language: de' \ --header 'Content-Type: application/json' \ --body-data '{ "order_id": "550e8400-e29b-41d4-a716-446655440003" }' \ --output-document \ - https://api.proxyrequest.com/api/v1/reset-passwordRotates the proxy password for the order identified by order_id. Existing proxy connection strings stop working after the rotation; use the updated proxy password for all new connections.
Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Preferred language for human-readable API errors. Supported languages: en, ru, uk, de, it, fr, es, zh-hans, ja. Regional language tags and quality weights are accepted; unsupported or omitted values use English.
Examples
defr-CA, fr;q=0.9, en;q=0.5Request Bodyrequired
Section titled “Request Bodyrequired”object
Examples
Reset order password
{ "order_id": "550e8400-e29b-41d4-a716-446655440003"}object
Examples
Reset order password
order_id=550e8400-e29b-41d4-a716-446655440003object
Examples
Reset order password
{ "order_id": "550e8400-e29b-41d4-a716-446655440003"}Responses
Section titled “Responses”The operation completed successfully.
object
Examples
Password reset
{ "message": "Password reset successfully.", "success": true}The request is malformed or violates a business rule.
Validation and API error payload. Field names may be added dynamically; field errors are returned as arrays of human-readable messages.
object
Examples
Validation error
{ "non_field_errors": [ "The request could not be processed." ]}Headers
Section titled “Headers”Language used for human-readable errors.
The requested resource does not exist in the current account scope.
Validation and API error payload. Field names may be added dynamically; field errors are returned as arrays of human-readable messages.
object
Examples
Resource not found
{ "detail": "Not found."}Headers
Section titled “Headers”Language used for human-readable errors.